covmat {pomp} | R Documentation

## Estimate a covariance matrix from algorithm traces

### Description

A helper function to extract a covariance matrix.

### Usage

    ## S4 method for signature 'pmcmcd_pomp'
    covmat(object, start = 1, thin = 1,
      expand = 2.38, ...)

    ## S4 method for signature 'pmcmcList'
    covmat(object, start = 1, thin = 1,
      expand = 2.38, ...)

    ## S4 method for signature 'abcd_pomp'
    covmat(object, start = 1, thin = 1,
      expand = 2.38, ...)

    ## S4 method for signature 'abcList'
    covmat(object, start = 1, thin = 1,
      expand = 2.38, ...)

    ## S4 method for signature 'probed_pomp'
    covmat(object, ...)

### Arguments

`object` | an object extending ‘pomp’
`start` | the first iteration number to be used in estimating the covariance matrix. Setting `thin > 1` allows for a burn-in period.
`thin` | factor by which the chains are to be thinned
`expand` | the expansion factor
`...` | ignored

### Value

When `object` is the result of a `pmcmc` or `abc` computation, `covmat(object)` gives the covariance matrix of the chains. This can be useful, for example, in tuning the proposal distribution.

When `object` is a ‘probed_pomp’ object (i.e., the result of a `probe` computation), `covmat(object)` returns the covariance matrix of the probes, as applied to simulated data.

### See Also

MCMC proposals.

[Package pomp version 2.3 Index]